Documentation Index

Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt

Use this file to discover all available pages before exploring further.

Profile subscription

Prev Next
Post
/list/profile-subscription

Used to get subscription statuses from user profiles.


This endpoint will return subscription status changes for user profiles, for example email and SMS. This does not include subscription changes for devices.

Further information on user profiles, device profiles and attributes can be found in the guide on user data.


Note: Logging of profile subscription changes is turned off by default and this API method will return empty result sets. If you believe you need access to this data, please contact us.

The response includes an integer-boolean status value to indicate whether the subscription was added or removed, and the integer-boolean update_is_external value, which indicates whether the status has been updated externally or not; when set to 1, the permission was updated via file import or external API import; when set to 0, the update occurred via SDK, a preference center link included in an email/SMS, or by manually editing the profile from the platform.

Body parameters
Get a single user profile's subscription status
{
  "apptoken": "YOUR_APPTOKEN",
  "condition": [
    [
      "user_id",
      "=",
      "USER_ID"
    ]
  ]
}
Get all profiles updated since a certain time
{
  "apptoken": "YOUR_APPTOKEN",
  "condition": [
    [
      "update_time",
      ">",
      "123123"
    ]
  ]
}
object
apptoken
string Required

Your App token

order
Array of string

Order the results in either ascending or descending order based on any of the attributes, eg. ["update_time"] or ["update_time DESC"]

string
select
Array of string

Select what attributes to return, eg. ["channel", "mobile_number", "email", "profile_id", "status", "update_time", "user_id"]

string
condition
string (json)

Filter the user profiles based on some criteria, eg. [ ["user_id", "=", 1234] ] or [ ["update_time", ">", 123123] ]

limit
integer (int32)

Used with offset for pagination, eg. "limit": 50, "offset": 0 returns a max of 50 results starting at position 0

offset
integer (int32)

Used with limit for pagination

Responses
200

200

Result
{
  "success": "True",
  "code": "200",
  "data": [
    {
      "project_id": "PROJECT_ID",
      "profile_id": "11eb0ca1064e53d188bc7061c72c7ac00",
      "channel": "email",
      "status": "1",
      "update_time": "1629197947",
      "update_is_external": "0",
      "user_id": "1234",
      "email": "info@xtremepush.com"
    },
    {
      "project_id": "PROJECT_ID",
      "profile_id": "11eb0ca1064e53d188bc7061c72c7ac00",
      "channel": "sms",
      "status": "0",
      "update_time": "1630588310",
      "update_is_external": "1",
      "user_id": "1234",
      "mobile_number": "353123456789"
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleTrue
code
integer
Default0
Example200
data
Array of object
object
project_id
string
ExamplePROJECT_ID
profile_id
string
Example11eb0ca1064e53d188bc7061c72c7ac00
channel
string
Exampleemail
status
integer
Default0
Example1
update_time
integer
Default0
Example1629197947
update_is_external
integer
Default0
Example0
user_id
string
Example1234
email
string
Exampleinfo@xtremepush.com
400

400

Result
{
  "success": "False",
  "code": "400",
  "message": "General error information",
  "errors": [
    {
      "text": [
        "Detailed information about the specific error"
      ]
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example400
message
string
ExampleGeneral error information
errors
Array of object
object
text
Array of string
string